Skip to main content
PUT
/
public
/
v2
/
recurring
/
journal-entries
/
{record_number}
/
Update RecurringJournalEntry record
curl --request PUT \
  --url https://api.dualentry.com/public/v2/recurring/journal-entries/{record_number}/ \
  --header 'Content-Type: application/json' \
  --header 'X-API-KEY: <api-key>' \
  --data '
{
  "rrule": "<string>",
  "memo": "<string>",
  "name": "<string>",
  "date": "2023-12-25",
  "company_id": 123,
  "record_payload": {
    "date": "2023-12-25",
    "items": [
      {
        "account_number": 123,
        "debit": 123,
        "credit": 123,
        "position": 123,
        "memo": "<string>",
        "id": 123,
        "classifications": [],
        "customer_id": 123,
        "vendor_id": 123
      }
    ],
    "transaction_date": "2023-12-25",
    "custom_fields": [
      {}
    ],
    "company_id": 123,
    "memo": "<string>",
    "exchange_rate": 123,
    "reversal_date": "2023-12-25",
    "attachments": [],
    "record_status": "posted"
  }
}
'
import requests

url = "https://api.dualentry.com/public/v2/recurring/journal-entries/{record_number}/"

payload = {
    "rrule": "<string>",
    "memo": "<string>",
    "name": "<string>",
    "date": "2023-12-25",
    "company_id": 123,
    "record_payload": {
        "date": "2023-12-25",
        "items": [
            {
                "account_number": 123,
                "debit": 123,
                "credit": 123,
                "position": 123,
                "memo": "<string>",
                "id": 123,
                "classifications": [],
                "customer_id": 123,
                "vendor_id": 123
            }
        ],
        "transaction_date": "2023-12-25",
        "custom_fields": [{}],
        "company_id": 123,
        "memo": "<string>",
        "exchange_rate": 123,
        "reversal_date": "2023-12-25",
        "attachments": [],
        "record_status": "posted"
    }
}
headers = {
    "X-API-KEY": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PUT',
  headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    rrule: '<string>',
    memo: '<string>',
    name: '<string>',
    date: '2023-12-25',
    company_id: 123,
    record_payload: {
      date: '2023-12-25',
      items: [
        {
          account_number: 123,
          debit: 123,
          credit: 123,
          position: 123,
          memo: '<string>',
          id: 123,
          classifications: [],
          customer_id: 123,
          vendor_id: 123
        }
      ],
      transaction_date: '2023-12-25',
      custom_fields: [{}],
      company_id: 123,
      memo: '<string>',
      exchange_rate: 123,
      reversal_date: '2023-12-25',
      attachments: [],
      record_status: 'posted'
    }
  })
};

fetch('https://api.dualentry.com/public/v2/recurring/journal-entries/{record_number}/', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "internal_id": 123,
  "number": 123,
  "name": "<string>",
  "memo": "<string>",
  "date": "2023-12-25",
  "company_id": 123,
  "company_name": "<string>",
  "company_currency": "<string>",
  "record_payload": "<unknown>",
  "rrule": "<string>",
  "next_occurrence": "2023-11-07T05:31:56Z",
  "last_generated": "2023-11-07T05:31:56Z",
  "records": [
    {
      "internal_id": 123,
      "number": 123,
      "date": "2023-12-25",
      "amount": "<string>"
    }
  ],
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "created_by": {
    "actor_type": "<string>",
    "email": "<string>",
    "first_name": "<string>",
    "last_name": "<string>",
    "timestamp": "2023-11-07T05:31:56Z"
  },
  "updated_by": {
    "actor_type": "<string>",
    "email": "<string>",
    "first_name": "<string>",
    "last_name": "<string>",
    "timestamp": "2023-11-07T05:31:56Z"
  }
}
{
  "errors": {},
  "success": false
}
{
  "errors": {},
  "success": false
}
{
  "errors": {},
  "success": false
}
{
  "errors": {},
  "success": false
}

Authorizations

X-API-KEY
string
header
required

Path Parameters

record_number
integer
required

The number attribute of the record.

Body

application/json
rrule
string<rrule>
required

Recurrence rule in iCalendar RRULE format (RFC 5545)

Required string length: 8 - 500
Pattern: ^FREQ=(DAILY|WEEKLY|MONTHLY|YEARLY)(?:;.*)?$
Examples:

"FREQ=DAILY"

"FREQ=WEEKLY;BYDAY=MO,WE,FR"

"FREQ=MONTHLY;BYMONTHDAY=15"

"FREQ=YEARLY;BYMONTH=12;BYMONTHDAY=25"

"FREQ=MONTHLY;BYDAY=1MO"

"FREQ=WEEKLY;INTERVAL=2;BYDAY=TU,TH"

"FREQ=MONTHLY;BYMONTHDAY=1;COUNT=12"

"FREQ=DAILY;UNTIL=20241231T235959Z"

"FREQ=WEEKLY;WKST=SU;BYDAY=MO,TU,WE,TH,FR"

memo
string
required
name
string
required
date
string<date>
required
company_id
integer
required
status
enum<string>
required
Available options:
active,
inactive
recurring_type
enum<string>
required
Available options:
automatic,
reminder
record_payload
PublicJournalEntrySchemaCreateIn · object
required

Response

OK

internal_id
integer
required
number
integer
required
name
string
required
memo
string
required
date
string<date>
required
company_id
integer
required
company_name
string
required
company_currency
string
required
status
enum<string>
required
Available options:
active,
inactive
record_payload
any
required
rrule
string
required
next_occurrence
string<date-time> | null
required
last_generated
string<date-time> | null
required
recurring_type
enum<string>
required
Available options:
automatic,
reminder
records
PublicRecurringRecordSchemaOut · object[]
required
created_at
string<date-time>
required

Date and time the record was created

updated_at
string<date-time>
required

Date and time the record was last updated

created_by
AuditActorSchemaOut · object | null

Schema for audit actor information.

updated_by
AuditActorSchemaOut · object | null

Schema for audit actor information.

Last modified on July 13, 2026